Overall RatingNo Ratings

MagicJack and Internet Explorer 9 Beta

If you have fired up your MagicJack lately, you will see the following warning image on the desktop client:

IE9 beta not compatible with MagicJack

IE9 beta not compatible with MagicJack

Here is the brief FAQ: Does magicJack work with Internet Explorer (IE) 9 Beta? It does offer a solution — to download the upgrade.exe file from that page and run it. I did this and my client changed from version 2.0.1 to 2.0.4. The skin has changed a little.

I haven’t bothered with IE9 so I could not test it. If you have (and have a MagicJack), please comment below.

Ash Nallawalla

Site administrator